package com.uas.search.model;

import java.io.Serializable;

/**
 * PCB 批次
 *
 * @author sunyj
 * @since 2018/4/26 9:06
 */
public class PCBGoods implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 批次
     */
    private TradeGoods tradeGoods;

    /**
     * PCB
     */
    private PCB pcb;

    public PCBGoods() {
    }

    public PCBGoods(TradeGoods tradeGoods, PCB pcb) {
        this.tradeGoods = tradeGoods;
        this.pcb = pcb;
    }

    public TradeGoods getTradeGoods() {
        return tradeGoods;
    }

    public void setTradeGoods(TradeGoods tradeGoods) {
        this.tradeGoods = tradeGoods;
    }

    public PCB getPcb() {
        return pcb;
    }

    public void setPcb(PCB pcb) {
        this.pcb = pcb;
    }

    @Override
    public String toString() {
        return "PCBGoods{" +
                "tradeGoods=" + tradeGoods +
                ", pcb=" + pcb +
                '}';
    }
}
